pcl::visualization::PointCloudGeometryHandlerXYZ< pcl::PCLPointCloud2 > Class Template Reference
Module visualization

XYZ handler class for PointCloud geometry. More...

`#include <pcl/visualization/point_cloud_geometry_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudGeometryHandlerXYZ< pcl::PCLPointCloud2 >:

## Public Types

using | PointCloud = PointCloudGeometryHandler< pcl::PCLPointCloud2 >::PointCloud
using | PointCloudPtr = PointCloud::Ptr
using | PointCloudConstPtr = PointCloud::ConstPtr
using | Ptr = shared_ptr< PointCloudGeometryHandlerXYZ< PointCloud > >
using | ConstPtr = shared_ptr< const PointCloudGeometryHandlerXYZ< PointCloud > >
Public Types inherited from pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >
using | PointCloud = pcl::PCLPointCloud2
using | PointCloudPtr = PointCloud::Ptr
using | PointCloudConstPtr = PointCloud::ConstPtr
using | Ptr = shared_ptr< PointCloudGeometryHandler< PointCloud > >
using | ConstPtr = shared_ptr< const PointCloudGeometryHandler< PointCloud > >

## Public Member Functions

| PointCloudGeometryHandlerXYZ (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudGeometryHandlerXYZ ()
| Destructor. More...
virtual std::string | getName () const
| Class getName method. More...
virtual std::string | getFieldName () const
| Get the name of the field used. More...
Public Member Functions inherited from pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >
| PointCloudGeometryHandler (const PointCloudConstPtr &cloud, const Eigen::Vector4f &=Eigen::Vector4f::Zero())
| Constructor. More...
virtual | ~PointCloudGeometryHandler ()
| Destructor. More...
bool | isCapable () const
| Check if this handler is capable of handling the input data or not. More...
virtual void | getGeometry (vtkSmartPointer< vtkPoints > &points) const
| Obtain the actual point geometry for the input dataset in VTK format. More...
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >
PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_x_idx_
| The index of the field holding the X data. More...
int | field_y_idx_
| The index of the field holding the Y data. More...
int | field_z_idx_
| The index of the field holding the Z data. More...
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud. More...

## Detailed Description

### template<>
class pcl::visualization::PointCloudGeometryHandlerXYZ< pcl::PCLPointCloud2 >

XYZ handler class for PointCloud geometry.

Given an input dataset, all XYZ data present in fields "x", "y", and "z" is extracted and displayed on screen.

Author
  Radu B. Rusu

Definition at line 403 of file point_cloud_geometry_handlers.h.

## Member Typedef Documentation

## ConstPtr

using pcl::visualization::PointCloudGeometryHandlerXYZ< pcl::PCLPointCloud2 >::ConstPtr = shared_ptr<const PointCloudGeometryHandlerXYZ<PointCloud> >

Definition at line 411 of file point_cloud_geometry_handlers.h.

## PointCloud

using pcl::visualization::PointCloudGeometryHandlerXYZ< pcl::PCLPointCloud2 >::PointCloud = PointCloudGeometryHandler<pcl::PCLPointCloud2>::PointCloud

Definition at line 406 of file point_cloud_geometry_handlers.h.

## PointCloudConstPtr

using pcl::visualization::PointCloudGeometryHandlerXYZ< pcl::PCLPointCloud2 >::PointCloudConstPtr = PointCloud::ConstPtr

Definition at line 408 of file point_cloud_geometry_handlers.h.

## PointCloudPtr

using pcl::visualization::PointCloudGeometryHandlerXYZ< pcl::PCLPointCloud2 >::PointCloudPtr = PointCloud::Ptr

Definition at line 407 of file point_cloud_geometry_handlers.h.

## Ptr

using pcl::visualization::PointCloudGeometryHandlerXYZ< pcl::PCLPointCloud2 >::Ptr = shared_ptr<PointCloudGeometryHandlerXYZ<PointCloud> >

Definition at line 410 of file point_cloud_geometry_handlers.h.

## Constructor & Destructor Documentation

## PointCloudGeometryHandlerXYZ()

pcl::visualization::PointCloudGeometryHandlerXYZ< pcl::PCLPointCloud2 >::PointCloudGeometryHandlerXYZ | ( | const PointCloudConstPtr & | cloud | ) |

Constructor.

## ~PointCloudGeometryHandlerXYZ()

virtual pcl::visualization::PointCloudGeometryHandlerXYZ< pcl::PCLPointCloud2 >::~PointCloudGeometryHandlerXYZ | ( |  | ) |

inline virtual

Destructor.

Definition at line 417 of file point_cloud_geometry_handlers.h.

## Member Function Documentation

## getFieldName()

virtual std::string pcl::visualization::PointCloudGeometryHandlerXYZ< pcl::PCLPointCloud2 >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >.

Definition at line 425 of file point_cloud_geometry_handlers.h.

## getName()

virtual std::string pcl::visualization::PointCloudGeometryHandlerXYZ< pcl::PCLPointCloud2 >::getName | ( |  | ) | const

inline virtual

Class getName method.

Implements pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >.

Definition at line 421 of file point_cloud_geometry_handlers.h.

The documentation for this class was generated from the following file:

- pcl/visualization/point_cloud_geometry_handlers.h